MantisBT
Mantis Bug Tracker Workflow

View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0031915Open CASCADE[OCCT] OCCT:Foundation Classespublic2020-11-10 12:052020-11-18 11:23
Reporternds 
Assigned Tonds 
PrioritynormalSeverityminor 
StatusnewResolutionopen 
PlatformOSOS Version
Product Version[OCCT] 7.5.0 
Target Version[OCCT] 7.6.0*Fixed in Version 
Summary0031915: Foundation Classes - DumpJson creates report with not unique keys
DescriptionIt's proposed post-processing of the generated stream to correct keys of one level as unique.

Mainly it relates to "className" key.

The report might be checked on:
https://jsonformatter.curiousconcept.com/#, [^]
https://jsonformatter.org/ [^]

It gives warnings in json reader.

TagsNo tags attached.
Test case number
Attached Filespng file icon 2020-11-10 12_03_20-JSON Formatter & Validator.png (18,986 bytes) 2020-11-10 12:05
? file icon testReport.json (7,908 bytes) 2020-11-10 12:08

- Relationships
parent of 0031945newnds Foundation Classes - unique names of alerts of message report in DumpJson 
child of 0029451closedbugmaster Information Message Alert to debug an algorithm or object functionality 
Not all the children of this issue are yet resolved or closed.

-  Notes
There are no notes attached to this issue.

- Issue History
Date Modified Username Field Change
2020-11-10 12:05 nds New Issue
2020-11-10 12:05 nds Assigned To => nds
2020-11-10 12:05 nds File Added: 2020-11-10 12_03_20-JSON Formatter & Validator.png
2020-11-10 12:08 nds File Added: testReport.json
2020-11-17 13:27 nds Relationship added parent of 0031945
2020-11-18 11:22 kgv Product Version => 7.5.0
2020-11-18 11:22 kgv Summary DumpJson creates report with not unique keys => Foundation Classes - DumpJson creates report with not unique keys
2020-11-18 11:23 kgv Relationship added child of 0029451


Copyright © 2000 - 2020 MantisBT Team
Powered by Mantis Bugtracker